• R/O
  • HTTP
  • SSH
  • HTTPS

Commit

Tags
Aucun tag

Frequently used words (click to add to your profile)

javac++androidlinuxc#windowsobjective-ccocoa誰得qtpythonphprubygameguibathyscaphec計画中(planning stage)翻訳omegatframeworktwitterdomtestvb.netdirectxゲームエンジンbtronarduinopreviewer

GNU Binutils with patches for OS216


Commit MetaInfo

Révisionc82d1ad445796aec74ff3b3eefb5e2596f7af1c9 (tree)
l'heure2005-11-04 04:53:30
AuteurDaniel Jacobowitz <drow@fals...>
CommiterDaniel Jacobowitz

Message de Log

* configure.in: Check for fopen64.
* libbfd-in.h (real_fopen): New prototype.
* configure, config.in, libbfd.h: Regenerated.
* bfdio.c (real_fopen): New function.
* opncls.c (bfd_fopen, bfd_fill_in_gnu_debuglink_section): Use it.
* cache.c (bfd_open_file): Likewise.

Change Summary

Modification

--- a/bfd/ChangeLog
+++ b/bfd/ChangeLog
@@ -1,3 +1,12 @@
1+2005-11-03 Daniel Jacobowitz <dan@codesourcery.com>
2+
3+ * configure.in: Check for fopen64.
4+ * libbfd-in.h (real_fopen): New prototype.
5+ * configure, config.in, libbfd.h: Regenerated.
6+ * bfdio.c (real_fopen): New function.
7+ * opncls.c (bfd_fopen, bfd_fill_in_gnu_debuglink_section): Use it.
8+ * cache.c (bfd_open_file): Likewise.
9+
110 2005-11-02 Alan Modra <amodra@bigpond.net.au>
211
312 PR ld/1775
--- a/bfd/bfdio.c
+++ b/bfd/bfdio.c
@@ -63,6 +63,16 @@ real_fseek (FILE *file, file_ptr offset, int whence)
6363 #endif
6464 }
6565
66+FILE *
67+real_fopen (const char *filename, const char *modes)
68+{
69+#if defined (HAVE_FOPEN64)
70+ return fopen64 (filename, modes);
71+#else
72+ return fopen (filename, modes);
73+#endif
74+}
75+
6676 /*
6777 INTERNAL_DEFINITION
6878 struct bfd_iovec
--- a/bfd/cache.c
+++ b/bfd/cache.c
@@ -476,15 +476,15 @@ bfd_open_file (bfd *abfd)
476476 {
477477 case read_direction:
478478 case no_direction:
479- abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_RB);
479+ abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_RB);
480480 break;
481481 case both_direction:
482482 case write_direction:
483483 if (abfd->opened_once)
484484 {
485- abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_RUB);
485+ abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_RUB);
486486 if (abfd->iostream == NULL)
487- abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_WUB);
487+ abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_WUB);
488488 }
489489 else
490490 {
@@ -514,7 +514,7 @@ bfd_open_file (bfd *abfd)
514514 if (stat (abfd->filename, &s) == 0 && s.st_size != 0)
515515 unlink_if_ordinary (abfd->filename);
516516 #endif
517- abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_WUB);
517+ abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_WUB);
518518 abfd->opened_once = TRUE;
519519 }
520520 break;
--- a/bfd/config.in
+++ b/bfd/config.in
@@ -92,6 +92,9 @@
9292 /* Define to 1 if you have the `fdopen' function. */
9393 #undef HAVE_FDOPEN
9494
95+/* Define to 1 if you have the `fopen64' function. */
96+#undef HAVE_FOPEN64
97+
9598 /* Define to 1 if you have the `fseeko' function. */
9699 #undef HAVE_FSEEKO
97100
--- a/bfd/configure
+++ b/bfd/configure
@@ -975,7 +975,7 @@ esac
975975 else
976976 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
977977 fi
978- cd $ac_popdir
978+ cd "$ac_popdir"
979979 done
980980 fi
981981
@@ -1999,8 +1999,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19991999 cat conftest.err >&5
20002000 echo "$as_me:$LINENO: \$? = $ac_status" >&5
20012001 (exit $ac_status); } &&
2002- { ac_try='test -z "$ac_c_werror_flag"
2003- || test ! -s conftest.err'
2002+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
20042003 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20052004 (eval $ac_try) 2>&5
20062005 ac_status=$?
@@ -2058,8 +2057,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20582057 cat conftest.err >&5
20592058 echo "$as_me:$LINENO: \$? = $ac_status" >&5
20602059 (exit $ac_status); } &&
2061- { ac_try='test -z "$ac_c_werror_flag"
2062- || test ! -s conftest.err'
2060+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
20632061 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20642062 (eval $ac_try) 2>&5
20652063 ac_status=$?
@@ -2175,8 +2173,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
21752173 cat conftest.err >&5
21762174 echo "$as_me:$LINENO: \$? = $ac_status" >&5
21772175 (exit $ac_status); } &&
2178- { ac_try='test -z "$ac_c_werror_flag"
2179- || test ! -s conftest.err'
2176+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
21802177 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21812178 (eval $ac_try) 2>&5
21822179 ac_status=$?
@@ -2230,8 +2227,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
22302227 cat conftest.err >&5
22312228 echo "$as_me:$LINENO: \$? = $ac_status" >&5
22322229 (exit $ac_status); } &&
2233- { ac_try='test -z "$ac_c_werror_flag"
2234- || test ! -s conftest.err'
2230+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
22352231 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22362232 (eval $ac_try) 2>&5
22372233 ac_status=$?
@@ -2276,8 +2272,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
22762272 cat conftest.err >&5
22772273 echo "$as_me:$LINENO: \$? = $ac_status" >&5
22782274 (exit $ac_status); } &&
2279- { ac_try='test -z "$ac_c_werror_flag"
2280- || test ! -s conftest.err'
2275+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
22812276 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22822277 (eval $ac_try) 2>&5
22832278 ac_status=$?
@@ -2321,8 +2316,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
23212316 cat conftest.err >&5
23222317 echo "$as_me:$LINENO: \$? = $ac_status" >&5
23232318 (exit $ac_status); } &&
2324- { ac_try='test -z "$ac_c_werror_flag"
2325- || test ! -s conftest.err'
2319+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
23262320 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
23272321 (eval $ac_try) 2>&5
23282322 ac_status=$?
@@ -2400,8 +2394,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
24002394 cat conftest.err >&5
24012395 echo "$as_me:$LINENO: \$? = $ac_status" >&5
24022396 (exit $ac_status); } &&
2403- { ac_try='test -z "$ac_c_werror_flag"
2404- || test ! -s conftest.err'
2397+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
24052398 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
24062399 (eval $ac_try) 2>&5
24072400 ac_status=$?
@@ -2455,8 +2448,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
24552448 cat conftest.err >&5
24562449 echo "$as_me:$LINENO: \$? = $ac_status" >&5
24572450 (exit $ac_status); } &&
2458- { ac_try='test -z "$ac_c_werror_flag"
2459- || test ! -s conftest.err'
2451+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
24602452 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
24612453 (eval $ac_try) 2>&5
24622454 ac_status=$?
@@ -3976,7 +3968,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
39763968 case $host in
39773969 *-*-irix6*)
39783970 # Find out which ABI we are using.
3979- echo '#line 3979 "configure"' > conftest.$ac_ext
3971+ echo '#line 3971 "configure"' > conftest.$ac_ext
39803972 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
39813973 (eval $ac_compile) 2>&5
39823974 ac_status=$?
@@ -4072,8 +4064,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
40724064 cat conftest.err >&5
40734065 echo "$as_me:$LINENO: \$? = $ac_status" >&5
40744066 (exit $ac_status); } &&
4075- { ac_try='test -z "$ac_c_werror_flag"
4076- || test ! -s conftest.err'
4067+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
40774068 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
40784069 (eval $ac_try) 2>&5
40794070 ac_status=$?
@@ -4796,8 +4787,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
47964787 cat conftest.err >&5
47974788 echo "$as_me:$LINENO: \$? = $ac_status" >&5
47984789 (exit $ac_status); } &&
4799- { ac_try='test -z "$ac_c_werror_flag"
4800- || test ! -s conftest.err'
4790+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
48014791 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
48024792 (eval $ac_try) 2>&5
48034793 ac_status=$?
@@ -4855,8 +4845,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
48554845 cat conftest.err >&5
48564846 echo "$as_me:$LINENO: \$? = $ac_status" >&5
48574847 (exit $ac_status); } &&
4858- { ac_try='test -z "$ac_c_werror_flag"
4859- || test ! -s conftest.err'
4848+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
48604849 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
48614850 (eval $ac_try) 2>&5
48624851 ac_status=$?
@@ -4972,8 +4961,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
49724961 cat conftest.err >&5
49734962 echo "$as_me:$LINENO: \$? = $ac_status" >&5
49744963 (exit $ac_status); } &&
4975- { ac_try='test -z "$ac_c_werror_flag"
4976- || test ! -s conftest.err'
4964+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
49774965 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
49784966 (eval $ac_try) 2>&5
49794967 ac_status=$?
@@ -5027,8 +5015,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
50275015 cat conftest.err >&5
50285016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
50295017 (exit $ac_status); } &&
5030- { ac_try='test -z "$ac_c_werror_flag"
5031- || test ! -s conftest.err'
5018+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
50325019 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
50335020 (eval $ac_try) 2>&5
50345021 ac_status=$?
@@ -5073,8 +5060,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
50735060 cat conftest.err >&5
50745061 echo "$as_me:$LINENO: \$? = $ac_status" >&5
50755062 (exit $ac_status); } &&
5076- { ac_try='test -z "$ac_c_werror_flag"
5077- || test ! -s conftest.err'
5063+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
50785064 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
50795065 (eval $ac_try) 2>&5
50805066 ac_status=$?
@@ -5118,8 +5104,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
51185104 cat conftest.err >&5
51195105 echo "$as_me:$LINENO: \$? = $ac_status" >&5
51205106 (exit $ac_status); } &&
5121- { ac_try='test -z "$ac_c_werror_flag"
5122- || test ! -s conftest.err'
5107+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
51235108 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
51245109 (eval $ac_try) 2>&5
51255110 ac_status=$?
@@ -5529,8 +5514,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
55295514 cat conftest.err >&5
55305515 echo "$as_me:$LINENO: \$? = $ac_status" >&5
55315516 (exit $ac_status); } &&
5532- { ac_try='test -z "$ac_c_werror_flag"
5533- || test ! -s conftest.err'
5517+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
55345518 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
55355519 (eval $ac_try) 2>&5
55365520 ac_status=$?
@@ -5737,8 +5721,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
57375721 cat conftest.err >&5
57385722 echo "$as_me:$LINENO: \$? = $ac_status" >&5
57395723 (exit $ac_status); } &&
5740- { ac_try='test -z "$ac_c_werror_flag"
5741- || test ! -s conftest.err'
5724+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
57425725 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
57435726 (eval $ac_try) 2>&5
57445727 ac_status=$?
@@ -5798,8 +5781,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
57985781 cat conftest.err >&5
57995782 echo "$as_me:$LINENO: \$? = $ac_status" >&5
58005783 (exit $ac_status); } &&
5801- { ac_try='test -z "$ac_c_werror_flag"
5802- || test ! -s conftest.err'
5784+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
58035785 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
58045786 (eval $ac_try) 2>&5
58055787 ac_status=$?
@@ -5878,8 +5860,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
58785860 cat conftest.err >&5
58795861 echo "$as_me:$LINENO: \$? = $ac_status" >&5
58805862 (exit $ac_status); } &&
5881- { ac_try='test -z "$ac_c_werror_flag"
5882- || test ! -s conftest.err'
5863+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
58835864 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
58845865 (eval $ac_try) 2>&5
58855866 ac_status=$?
@@ -5944,8 +5925,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
59445925 cat conftest.err >&5
59455926 echo "$as_me:$LINENO: \$? = $ac_status" >&5
59465927 (exit $ac_status); } &&
5947- { ac_try='test -z "$ac_c_werror_flag"
5948- || test ! -s conftest.err'
5928+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
59495929 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
59505930 (eval $ac_try) 2>&5
59515931 ac_status=$?
@@ -6010,8 +5990,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
60105990 cat conftest.err >&5
60115991 echo "$as_me:$LINENO: \$? = $ac_status" >&5
60125992 (exit $ac_status); } &&
6013- { ac_try='test -z "$ac_c_werror_flag"
6014- || test ! -s conftest.err'
5993+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
60155994 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
60165995 (eval $ac_try) 2>&5
60175996 ac_status=$?
@@ -6075,8 +6054,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
60756054 cat conftest.err >&5
60766055 echo "$as_me:$LINENO: \$? = $ac_status" >&5
60776056 (exit $ac_status); } &&
6078- { ac_try='test -z "$ac_c_werror_flag"
6079- || test ! -s conftest.err'
6057+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
60806058 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
60816059 (eval $ac_try) 2>&5
60826060 ac_status=$?
@@ -6157,8 +6135,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
61576135 cat conftest.err >&5
61586136 echo "$as_me:$LINENO: \$? = $ac_status" >&5
61596137 (exit $ac_status); } &&
6160- { ac_try='test -z "$ac_c_werror_flag"
6161- || test ! -s conftest.err'
6138+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
61626139 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
61636140 (eval $ac_try) 2>&5
61646141 ac_status=$?
@@ -6299,8 +6276,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
62996276 cat conftest.err >&5
63006277 echo "$as_me:$LINENO: \$? = $ac_status" >&5
63016278 (exit $ac_status); } &&
6302- { ac_try='test -z "$ac_c_werror_flag"
6303- || test ! -s conftest.err'
6279+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
63046280 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
63056281 (eval $ac_try) 2>&5
63066282 ac_status=$?
@@ -6438,8 +6414,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
64386414 cat conftest.err >&5
64396415 echo "$as_me:$LINENO: \$? = $ac_status" >&5
64406416 (exit $ac_status); } &&
6441- { ac_try='test -z "$ac_c_werror_flag"
6442- || test ! -s conftest.err'
6417+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
64436418 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
64446419 (eval $ac_try) 2>&5
64456420 ac_status=$?
@@ -6623,8 +6598,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
66236598 cat conftest.err >&5
66246599 echo "$as_me:$LINENO: \$? = $ac_status" >&5
66256600 (exit $ac_status); } &&
6626- { ac_try='test -z "$ac_c_werror_flag"
6627- || test ! -s conftest.err'
6601+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
66286602 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
66296603 (eval $ac_try) 2>&5
66306604 ac_status=$?
@@ -6875,8 +6849,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
68756849 cat conftest.err >&5
68766850 echo "$as_me:$LINENO: \$? = $ac_status" >&5
68776851 (exit $ac_status); } &&
6878- { ac_try='test -z "$ac_c_werror_flag"
6879- || test ! -s conftest.err'
6852+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
68806853 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
68816854 (eval $ac_try) 2>&5
68826855 ac_status=$?
@@ -7070,8 +7043,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
70707043 cat conftest.err >&5
70717044 echo "$as_me:$LINENO: \$? = $ac_status" >&5
70727045 (exit $ac_status); } &&
7073- { ac_try='test -z "$ac_c_werror_flag"
7074- || test ! -s conftest.err'
7046+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
70757047 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
70767048 (eval $ac_try) 2>&5
70777049 ac_status=$?
@@ -7174,8 +7146,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
71747146 cat conftest.err >&5
71757147 echo "$as_me:$LINENO: \$? = $ac_status" >&5
71767148 (exit $ac_status); } &&
7177- { ac_try='test -z "$ac_c_werror_flag"
7178- || test ! -s conftest.err'
7149+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
71797150 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
71807151 (eval $ac_try) 2>&5
71817152 ac_status=$?
@@ -7246,8 +7217,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
72467217 cat conftest.err >&5
72477218 echo "$as_me:$LINENO: \$? = $ac_status" >&5
72487219 (exit $ac_status); } &&
7249- { ac_try='test -z "$ac_c_werror_flag"
7250- || test ! -s conftest.err'
7220+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
72517221 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
72527222 (eval $ac_try) 2>&5
72537223 ac_status=$?
@@ -7344,8 +7314,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
73447314 cat conftest.err >&5
73457315 echo "$as_me:$LINENO: \$? = $ac_status" >&5
73467316 (exit $ac_status); } &&
7347- { ac_try='test -z "$ac_c_werror_flag"
7348- || test ! -s conftest.err'
7317+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
73497318 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
73507319 (eval $ac_try) 2>&5
73517320 ac_status=$?
@@ -7481,8 +7450,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
74817450 cat conftest.err >&5
74827451 echo "$as_me:$LINENO: \$? = $ac_status" >&5
74837452 (exit $ac_status); } &&
7484- { ac_try='test -z "$ac_c_werror_flag"
7485- || test ! -s conftest.err'
7453+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
74867454 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
74877455 (eval $ac_try) 2>&5
74887456 ac_status=$?
@@ -7546,8 +7514,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
75467514 cat conftest.err >&5
75477515 echo "$as_me:$LINENO: \$? = $ac_status" >&5
75487516 (exit $ac_status); } &&
7549- { ac_try='test -z "$ac_c_werror_flag"
7550- || test ! -s conftest.err'
7517+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
75517518 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
75527519 (eval $ac_try) 2>&5
75537520 ac_status=$?
@@ -7602,8 +7569,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
76027569 cat conftest.err >&5
76037570 echo "$as_me:$LINENO: \$? = $ac_status" >&5
76047571 (exit $ac_status); } &&
7605- { ac_try='test -z "$ac_c_werror_flag"
7606- || test ! -s conftest.err'
7572+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
76077573 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
76087574 (eval $ac_try) 2>&5
76097575 ac_status=$?
@@ -7743,8 +7709,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
77437709 cat conftest.err >&5
77447710 echo "$as_me:$LINENO: \$? = $ac_status" >&5
77457711 (exit $ac_status); } &&
7746- { ac_try='test -z "$ac_c_werror_flag"
7747- || test ! -s conftest.err'
7712+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
77487713 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
77497714 (eval $ac_try) 2>&5
77507715 ac_status=$?
@@ -7877,8 +7842,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
78777842 cat conftest.err >&5
78787843 echo "$as_me:$LINENO: \$? = $ac_status" >&5
78797844 (exit $ac_status); } &&
7880- { ac_try='test -z "$ac_c_werror_flag"
7881- || test ! -s conftest.err'
7845+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
78827846 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
78837847 (eval $ac_try) 2>&5
78847848 ac_status=$?
@@ -8155,8 +8119,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
81558119 cat conftest.err >&5
81568120 echo "$as_me:$LINENO: \$? = $ac_status" >&5
81578121 (exit $ac_status); } &&
8158- { ac_try='test -z "$ac_c_werror_flag"
8159- || test ! -s conftest.err'
8122+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
81608123 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
81618124 (eval $ac_try) 2>&5
81628125 ac_status=$?
@@ -8428,8 +8391,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
84288391 cat conftest.err >&5
84298392 echo "$as_me:$LINENO: \$? = $ac_status" >&5
84308393 (exit $ac_status); } &&
8431- { ac_try='test -z "$ac_c_werror_flag"
8432- || test ! -s conftest.err'
8394+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
84338395 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
84348396 (eval $ac_try) 2>&5
84358397 ac_status=$?
@@ -8487,8 +8449,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
84878449 cat conftest.err >&5
84888450 echo "$as_me:$LINENO: \$? = $ac_status" >&5
84898451 (exit $ac_status); } &&
8490- { ac_try='test -z "$ac_c_werror_flag"
8491- || test ! -s conftest.err'
8452+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
84928453 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
84938454 (eval $ac_try) 2>&5
84948455 ac_status=$?
@@ -8550,8 +8511,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
85508511 cat conftest.err >&5
85518512 echo "$as_me:$LINENO: \$? = $ac_status" >&5
85528513 (exit $ac_status); } &&
8553- { ac_try='test -z "$ac_c_werror_flag"
8554- || test ! -s conftest.err'
8514+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
85558515 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
85568516 (eval $ac_try) 2>&5
85578517 ac_status=$?
@@ -8591,8 +8551,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
85918551 cat conftest.err >&5
85928552 echo "$as_me:$LINENO: \$? = $ac_status" >&5
85938553 (exit $ac_status); } &&
8594- { ac_try='test -z "$ac_c_werror_flag"
8595- || test ! -s conftest.err'
8554+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
85968555 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
85978556 (eval $ac_try) 2>&5
85988557 ac_status=$?
@@ -8648,8 +8607,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
86488607 cat conftest.err >&5
86498608 echo "$as_me:$LINENO: \$? = $ac_status" >&5
86508609 (exit $ac_status); } &&
8651- { ac_try='test -z "$ac_c_werror_flag"
8652- || test ! -s conftest.err'
8610+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
86538611 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
86548612 (eval $ac_try) 2>&5
86558613 ac_status=$?
@@ -8689,8 +8647,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
86898647 cat conftest.err >&5
86908648 echo "$as_me:$LINENO: \$? = $ac_status" >&5
86918649 (exit $ac_status); } &&
8692- { ac_try='test -z "$ac_c_werror_flag"
8693- || test ! -s conftest.err'
8650+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
86948651 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
86958652 (eval $ac_try) 2>&5
86968653 ac_status=$?
@@ -8754,8 +8711,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
87548711 cat conftest.err >&5
87558712 echo "$as_me:$LINENO: \$? = $ac_status" >&5
87568713 (exit $ac_status); } &&
8757- { ac_try='test -z "$ac_c_werror_flag"
8758- || test ! -s conftest.err'
8714+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
87598715 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
87608716 (eval $ac_try) 2>&5
87618717 ac_status=$?
@@ -8786,10 +8742,8 @@ See \`config.log' for more details." >&2;}
87868742 esac
87878743 else
87888744 if test "$cross_compiling" = yes; then
8789- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
8790-See \`config.log' for more details." >&5
8791-echo "$as_me: error: cannot run test program while cross compiling
8792-See \`config.log' for more details." >&2;}
8745+ { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
8746+echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
87938747 { (exit 1); exit 1; }; }
87948748 else
87958749 cat >conftest.$ac_ext <<_ACEOF
@@ -8903,8 +8857,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
89038857 cat conftest.err >&5
89048858 echo "$as_me:$LINENO: \$? = $ac_status" >&5
89058859 (exit $ac_status); } &&
8906- { ac_try='test -z "$ac_c_werror_flag"
8907- || test ! -s conftest.err'
8860+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
89088861 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
89098862 (eval $ac_try) 2>&5
89108863 ac_status=$?
@@ -8966,8 +8919,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
89668919 cat conftest.err >&5
89678920 echo "$as_me:$LINENO: \$? = $ac_status" >&5
89688921 (exit $ac_status); } &&
8969- { ac_try='test -z "$ac_c_werror_flag"
8970- || test ! -s conftest.err'
8922+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
89718923 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
89728924 (eval $ac_try) 2>&5
89738925 ac_status=$?
@@ -9007,8 +8959,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
90078959 cat conftest.err >&5
90088960 echo "$as_me:$LINENO: \$? = $ac_status" >&5
90098961 (exit $ac_status); } &&
9010- { ac_try='test -z "$ac_c_werror_flag"
9011- || test ! -s conftest.err'
8962+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
90128963 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
90138964 (eval $ac_try) 2>&5
90148965 ac_status=$?
@@ -9064,8 +9015,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
90649015 cat conftest.err >&5
90659016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
90669017 (exit $ac_status); } &&
9067- { ac_try='test -z "$ac_c_werror_flag"
9068- || test ! -s conftest.err'
9018+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
90699019 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
90709020 (eval $ac_try) 2>&5
90719021 ac_status=$?
@@ -9105,8 +9055,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
91059055 cat conftest.err >&5
91069056 echo "$as_me:$LINENO: \$? = $ac_status" >&5
91079057 (exit $ac_status); } &&
9108- { ac_try='test -z "$ac_c_werror_flag"
9109- || test ! -s conftest.err'
9058+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
91109059 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
91119060 (eval $ac_try) 2>&5
91129061 ac_status=$?
@@ -9170,8 +9119,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
91709119 cat conftest.err >&5
91719120 echo "$as_me:$LINENO: \$? = $ac_status" >&5
91729121 (exit $ac_status); } &&
9173- { ac_try='test -z "$ac_c_werror_flag"
9174- || test ! -s conftest.err'
9122+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
91759123 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
91769124 (eval $ac_try) 2>&5
91779125 ac_status=$?
@@ -9202,10 +9150,8 @@ See \`config.log' for more details." >&2;}
92029150 esac
92039151 else
92049152 if test "$cross_compiling" = yes; then
9205- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
9206-See \`config.log' for more details." >&5
9207-echo "$as_me: error: cannot run test program while cross compiling
9208-See \`config.log' for more details." >&2;}
9153+ { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
9154+echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
92099155 { (exit 1); exit 1; }; }
92109156 else
92119157 cat >conftest.$ac_ext <<_ACEOF
@@ -9384,8 +9330,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
93849330 cat conftest.err >&5
93859331 echo "$as_me:$LINENO: \$? = $ac_status" >&5
93869332 (exit $ac_status); } &&
9387- { ac_try='test -z "$ac_c_werror_flag"
9388- || test ! -s conftest.err'
9333+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
93899334 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
93909335 (eval $ac_try) 2>&5
93919336 ac_status=$?
@@ -9536,8 +9481,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
95369481 cat conftest.err >&5
95379482 echo "$as_me:$LINENO: \$? = $ac_status" >&5
95389483 (exit $ac_status); } &&
9539- { ac_try='test -z "$ac_c_werror_flag"
9540- || test ! -s conftest.err'
9484+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
95419485 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
95429486 (eval $ac_try) 2>&5
95439487 ac_status=$?
@@ -9685,8 +9629,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
96859629 cat conftest.err >&5
96869630 echo "$as_me:$LINENO: \$? = $ac_status" >&5
96879631 (exit $ac_status); } &&
9688- { ac_try='test -z "$ac_c_werror_flag"
9689- || test ! -s conftest.err'
9632+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
96909633 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
96919634 (eval $ac_try) 2>&5
96929635 ac_status=$?
@@ -9757,8 +9700,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
97579700 cat conftest.err >&5
97589701 echo "$as_me:$LINENO: \$? = $ac_status" >&5
97599702 (exit $ac_status); } &&
9760- { ac_try='test -z "$ac_c_werror_flag"
9761- || test ! -s conftest.err'
9703+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
97629704 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
97639705 (eval $ac_try) 2>&5
97649706 ac_status=$?
@@ -9830,8 +9772,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
98309772 cat conftest.err >&5
98319773 echo "$as_me:$LINENO: \$? = $ac_status" >&5
98329774 (exit $ac_status); } &&
9833- { ac_try='test -z "$ac_c_werror_flag"
9834- || test ! -s conftest.err'
9775+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
98359776 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
98369777 (eval $ac_try) 2>&5
98379778 ac_status=$?
@@ -9885,8 +9826,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
98859826 cat conftest.err >&5
98869827 echo "$as_me:$LINENO: \$? = $ac_status" >&5
98879828 (exit $ac_status); } &&
9888- { ac_try='test -z "$ac_c_werror_flag"
9889- || test ! -s conftest.err'
9829+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
98909830 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
98919831 (eval $ac_try) 2>&5
98929832 ac_status=$?
@@ -9957,8 +9897,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
99579897 cat conftest.err >&5
99589898 echo "$as_me:$LINENO: \$? = $ac_status" >&5
99599899 (exit $ac_status); } &&
9960- { ac_try='test -z "$ac_c_werror_flag"
9961- || test ! -s conftest.err'
9900+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
99629901 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
99639902 (eval $ac_try) 2>&5
99649903 ac_status=$?
@@ -10012,8 +9951,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
100129951 cat conftest.err >&5
100139952 echo "$as_me:$LINENO: \$? = $ac_status" >&5
100149953 (exit $ac_status); } &&
10015- { ac_try='test -z "$ac_c_werror_flag"
10016- || test ! -s conftest.err'
9954+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
100179955 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
100189956 (eval $ac_try) 2>&5
100199957 ac_status=$?
@@ -10077,8 +10015,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1007710015 cat conftest.err >&5
1007810016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1007910017 (exit $ac_status); } &&
10080- { ac_try='test -z "$ac_c_werror_flag"
10081- || test ! -s conftest.err'
10018+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1008210019 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1008310020 (eval $ac_try) 2>&5
1008410021 ac_status=$?
@@ -10184,8 +10121,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
1018410121 cat conftest.err >&5
1018510122 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1018610123 (exit $ac_status); } &&
10187- { ac_try='test -z "$ac_c_werror_flag"
10188- || test ! -s conftest.err'
10124+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1018910125 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1019010126 (eval $ac_try) 2>&5
1019110127 ac_status=$?
@@ -10286,8 +10222,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
1028610222 cat conftest.err >&5
1028710223 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1028810224 (exit $ac_status); } &&
10289- { ac_try='test -z "$ac_c_werror_flag"
10290- || test ! -s conftest.err'
10225+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1029110226 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1029210227 (eval $ac_try) 2>&5
1029310228 ac_status=$?
@@ -10352,8 +10287,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1035210287 cat conftest.err >&5
1035310288 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1035410289 (exit $ac_status); } &&
10355- { ac_try='test -z "$ac_c_werror_flag"
10356- || test ! -s conftest.err'
10290+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1035710291 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1035810292 (eval $ac_try) 2>&5
1035910293 ac_status=$?
@@ -10424,8 +10358,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1042410358 cat conftest.err >&5
1042510359 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1042610360 (exit $ac_status); } &&
10427- { ac_try='test -z "$ac_c_werror_flag"
10428- || test ! -s conftest.err'
10361+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1042910362 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1043010363 (eval $ac_try) 2>&5
1043110364 ac_status=$?
@@ -10496,8 +10429,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1049610429 cat conftest.err >&5
1049710430 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1049810431 (exit $ac_status); } &&
10499- { ac_try='test -z "$ac_c_werror_flag"
10500- || test ! -s conftest.err'
10432+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1050110433 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1050210434 (eval $ac_try) 2>&5
1050310435 ac_status=$?
@@ -10568,8 +10500,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1056810500 cat conftest.err >&5
1056910501 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1057010502 (exit $ac_status); } &&
10571- { ac_try='test -z "$ac_c_werror_flag"
10572- || test ! -s conftest.err'
10503+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1057310504 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1057410505 (eval $ac_try) 2>&5
1057510506 ac_status=$?
@@ -10640,8 +10571,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1064010571 cat conftest.err >&5
1064110572 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1064210573 (exit $ac_status); } &&
10643- { ac_try='test -z "$ac_c_werror_flag"
10644- || test ! -s conftest.err'
10574+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1064510575 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1064610576 (eval $ac_try) 2>&5
1064710577 ac_status=$?
@@ -10723,8 +10653,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1072310653 cat conftest.err >&5
1072410654 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1072510655 (exit $ac_status); } &&
10726- { ac_try='test -z "$ac_c_werror_flag"
10727- || test ! -s conftest.err'
10656+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1072810657 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1072910658 (eval $ac_try) 2>&5
1073010659 ac_status=$?
@@ -10795,8 +10724,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1079510724 cat conftest.err >&5
1079610725 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1079710726 (exit $ac_status); } &&
10798- { ac_try='test -z "$ac_c_werror_flag"
10799- || test ! -s conftest.err'
10727+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1080010728 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1080110729 (eval $ac_try) 2>&5
1080210730 ac_status=$?
@@ -10867,8 +10795,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1086710795 cat conftest.err >&5
1086810796 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1086910797 (exit $ac_status); } &&
10870- { ac_try='test -z "$ac_c_werror_flag"
10871- || test ! -s conftest.err'
10798+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1087210799 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1087310800 (eval $ac_try) 2>&5
1087410801 ac_status=$?
@@ -10939,8 +10866,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1093910866 cat conftest.err >&5
1094010867 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1094110868 (exit $ac_status); } &&
10942- { ac_try='test -z "$ac_c_werror_flag"
10943- || test ! -s conftest.err'
10869+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1094410870 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1094510871 (eval $ac_try) 2>&5
1094610872 ac_status=$?
@@ -11011,8 +10937,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1101110937 cat conftest.err >&5
1101210938 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1101310939 (exit $ac_status); } &&
11014- { ac_try='test -z "$ac_c_werror_flag"
11015- || test ! -s conftest.err'
10940+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1101610941 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1101710942 (eval $ac_try) 2>&5
1101810943 ac_status=$?
@@ -11083,8 +11008,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1108311008 cat conftest.err >&5
1108411009 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1108511010 (exit $ac_status); } &&
11086- { ac_try='test -z "$ac_c_werror_flag"
11087- || test ! -s conftest.err'
11011+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1108811012 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1108911013 (eval $ac_try) 2>&5
1109011014 ac_status=$?
@@ -11155,8 +11079,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1115511079 cat conftest.err >&5
1115611080 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1115711081 (exit $ac_status); } &&
11158- { ac_try='test -z "$ac_c_werror_flag"
11159- || test ! -s conftest.err'
11082+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1116011083 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1116111084 (eval $ac_try) 2>&5
1116211085 ac_status=$?
@@ -11227,8 +11150,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1122711150 cat conftest.err >&5
1122811151 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1122911152 (exit $ac_status); } &&
11230- { ac_try='test -z "$ac_c_werror_flag"
11231- || test ! -s conftest.err'
11153+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1123211154 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1123311155 (eval $ac_try) 2>&5
1123411156 ac_status=$?
@@ -11299,8 +11221,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1129911221 cat conftest.err >&5
1130011222 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1130111223 (exit $ac_status); } &&
11302- { ac_try='test -z "$ac_c_werror_flag"
11303- || test ! -s conftest.err'
11224+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1130411225 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1130511226 (eval $ac_try) 2>&5
1130611227 ac_status=$?
@@ -11527,8 +11448,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1152711448 cat conftest.err >&5
1152811449 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1152911450 (exit $ac_status); } &&
11530- { ac_try='test -z "$ac_c_werror_flag"
11531- || test ! -s conftest.err'
11451+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1153211452 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1153311453 (eval $ac_try) 2>&5
1153411454 ac_status=$?
@@ -11648,8 +11568,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1164811568 cat conftest.err >&5
1164911569 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1165011570 (exit $ac_status); } &&
11651- { ac_try='test -z "$ac_c_werror_flag"
11652- || test ! -s conftest.err'
11571+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1165311572 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1165411573 (eval $ac_try) 2>&5
1165511574 ac_status=$?
@@ -11796,8 +11715,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1179611715 cat conftest.err >&5
1179711716 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1179811717 (exit $ac_status); } &&
11799- { ac_try='test -z "$ac_c_werror_flag"
11800- || test ! -s conftest.err'
11718+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1180111719 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1180211720 (eval $ac_try) 2>&5
1180311721 ac_status=$?
@@ -11861,8 +11779,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1186111779 cat conftest.err >&5
1186211780 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1186311781 (exit $ac_status); } &&
11864- { ac_try='test -z "$ac_c_werror_flag"
11865- || test ! -s conftest.err'
11782+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1186611783 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1186711784 (eval $ac_try) 2>&5
1186811785 ac_status=$?
@@ -11926,8 +11843,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1192611843 cat conftest.err >&5
1192711844 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1192811845 (exit $ac_status); } &&
11929- { ac_try='test -z "$ac_c_werror_flag"
11930- || test ! -s conftest.err'
11846+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1193111847 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1193211848 (eval $ac_try) 2>&5
1193311849 ac_status=$?
@@ -11991,8 +11907,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1199111907 cat conftest.err >&5
1199211908 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1199311909 (exit $ac_status); } &&
11994- { ac_try='test -z "$ac_c_werror_flag"
11995- || test ! -s conftest.err'
11910+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1199611911 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1199711912 (eval $ac_try) 2>&5
1199811913 ac_status=$?
@@ -12056,8 +11971,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1205611971 cat conftest.err >&5
1205711972 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1205811973 (exit $ac_status); } &&
12059- { ac_try='test -z "$ac_c_werror_flag"
12060- || test ! -s conftest.err'
11974+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1206111975 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1206211976 (eval $ac_try) 2>&5
1206311977 ac_status=$?
@@ -12121,8 +12035,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1212112035 cat conftest.err >&5
1212212036 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1212312037 (exit $ac_status); } &&
12124- { ac_try='test -z "$ac_c_werror_flag"
12125- || test ! -s conftest.err'
12038+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1212612039 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1212712040 (eval $ac_try) 2>&5
1212812041 ac_status=$?
@@ -12186,8 +12099,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1218612099 cat conftest.err >&5
1218712100 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1218812101 (exit $ac_status); } &&
12189- { ac_try='test -z "$ac_c_werror_flag"
12190- || test ! -s conftest.err'
12102+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1219112103 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1219212104 (eval $ac_try) 2>&5
1219312105 ac_status=$?
@@ -12251,8 +12163,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1225112163 cat conftest.err >&5
1225212164 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1225312165 (exit $ac_status); } &&
12254- { ac_try='test -z "$ac_c_werror_flag"
12255- || test ! -s conftest.err'
12166+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1225612167 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1225712168 (eval $ac_try) 2>&5
1225812169 ac_status=$?
@@ -12316,8 +12227,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1231612227 cat conftest.err >&5
1231712228 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1231812229 (exit $ac_status); } &&
12319- { ac_try='test -z "$ac_c_werror_flag"
12320- || test ! -s conftest.err'
12230+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1232112231 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1232212232 (eval $ac_try) 2>&5
1232312233 ac_status=$?
@@ -12381,8 +12291,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1238112291 cat conftest.err >&5
1238212292 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1238312293 (exit $ac_status); } &&
12384- { ac_try='test -z "$ac_c_werror_flag"
12385- || test ! -s conftest.err'
12294+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1238612295 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1238712296 (eval $ac_try) 2>&5
1238812297 ac_status=$?
@@ -12446,8 +12355,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1244612355 cat conftest.err >&5
1244712356 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1244812357 (exit $ac_status); } &&
12449- { ac_try='test -z "$ac_c_werror_flag"
12450- || test ! -s conftest.err'
12358+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1245112359 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1245212360 (eval $ac_try) 2>&5
1245312361 ac_status=$?
@@ -12511,8 +12419,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1251112419 cat conftest.err >&5
1251212420 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1251312421 (exit $ac_status); } &&
12514- { ac_try='test -z "$ac_c_werror_flag"
12515- || test ! -s conftest.err'
12422+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1251612423 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1251712424 (eval $ac_try) 2>&5
1251812425 ac_status=$?
@@ -12576,8 +12483,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1257612483 cat conftest.err >&5
1257712484 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1257812485 (exit $ac_status); } &&
12579- { ac_try='test -z "$ac_c_werror_flag"
12580- || test ! -s conftest.err'
12486+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1258112487 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1258212488 (eval $ac_try) 2>&5
1258312489 ac_status=$?
@@ -12641,8 +12547,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1264112547 cat conftest.err >&5
1264212548 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1264312549 (exit $ac_status); } &&
12644- { ac_try='test -z "$ac_c_werror_flag"
12645- || test ! -s conftest.err'
12550+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1264612551 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1264712552 (eval $ac_try) 2>&5
1264812553 ac_status=$?
@@ -12706,8 +12611,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1270612611 cat conftest.err >&5
1270712612 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1270812613 (exit $ac_status); } &&
12709- { ac_try='test -z "$ac_c_werror_flag"
12710- || test ! -s conftest.err'
12614+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1271112615 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1271212616 (eval $ac_try) 2>&5
1271312617 ac_status=$?
@@ -12771,8 +12675,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1277112675 cat conftest.err >&5
1277212676 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1277312677 (exit $ac_status); } &&
12774- { ac_try='test -z "$ac_c_werror_flag"
12775- || test ! -s conftest.err'
12678+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1277612679 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1277712680 (eval $ac_try) 2>&5
1277812681 ac_status=$?
@@ -13326,7 +13229,8 @@ esac
1332613229
1332713230
1332813231
13329-for ac_func in ftello ftello64 fseeko fseeko64
13232+
13233+for ac_func in ftello ftello64 fseeko fseeko64 fopen64
1333013234 do
1333113235 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
1333213236 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -13394,8 +13298,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
1339413298 cat conftest.err >&5
1339513299 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1339613300 (exit $ac_status); } &&
13397- { ac_try='test -z "$ac_c_werror_flag"
13398- || test ! -s conftest.err'
13301+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1339913302 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1340013303 (eval $ac_try) 2>&5
1340113304 ac_status=$?
@@ -13460,8 +13363,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1346013363 cat conftest.err >&5
1346113364 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1346213365 (exit $ac_status); } &&
13463- { ac_try='test -z "$ac_c_werror_flag"
13464- || test ! -s conftest.err'
13366+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1346513367 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1346613368 (eval $ac_try) 2>&5
1346713369 ac_status=$?
@@ -13523,8 +13425,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1352313425 cat conftest.err >&5
1352413426 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1352513427 (exit $ac_status); } &&
13526- { ac_try='test -z "$ac_c_werror_flag"
13527- || test ! -s conftest.err'
13428+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1352813429 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1352913430 (eval $ac_try) 2>&5
1353013431 ac_status=$?
@@ -13564,8 +13465,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1356413465 cat conftest.err >&5
1356513466 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1356613467 (exit $ac_status); } &&
13567- { ac_try='test -z "$ac_c_werror_flag"
13568- || test ! -s conftest.err'
13468+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1356913469 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1357013470 (eval $ac_try) 2>&5
1357113471 ac_status=$?
@@ -13621,8 +13521,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1362113521 cat conftest.err >&5
1362213522 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1362313523 (exit $ac_status); } &&
13624- { ac_try='test -z "$ac_c_werror_flag"
13625- || test ! -s conftest.err'
13524+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1362613525 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1362713526 (eval $ac_try) 2>&5
1362813527 ac_status=$?
@@ -13662,8 +13561,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1366213561 cat conftest.err >&5
1366313562 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1366413563 (exit $ac_status); } &&
13665- { ac_try='test -z "$ac_c_werror_flag"
13666- || test ! -s conftest.err'
13564+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1366713565 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1366813566 (eval $ac_try) 2>&5
1366913567 ac_status=$?
@@ -13727,8 +13625,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1372713625 cat conftest.err >&5
1372813626 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1372913627 (exit $ac_status); } &&
13730- { ac_try='test -z "$ac_c_werror_flag"
13731- || test ! -s conftest.err'
13628+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1373213629 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1373313630 (eval $ac_try) 2>&5
1373413631 ac_status=$?
@@ -13759,10 +13656,8 @@ See \`config.log' for more details." >&2;}
1375913656 esac
1376013657 else
1376113658 if test "$cross_compiling" = yes; then
13762- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
13763-See \`config.log' for more details." >&5
13764-echo "$as_me: error: cannot run test program while cross compiling
13765-See \`config.log' for more details." >&2;}
13659+ { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
13660+echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
1376613661 { (exit 1); exit 1; }; }
1376713662 else
1376813663 cat >conftest.$ac_ext <<_ACEOF
@@ -13901,8 +13796,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1390113796 cat conftest.err >&5
1390213797 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1390313798 (exit $ac_status); } &&
13904- { ac_try='test -z "$ac_c_werror_flag"
13905- || test ! -s conftest.err'
13799+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1390613800 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1390713801 (eval $ac_try) 2>&5
1390813802 ac_status=$?
@@ -14086,8 +13980,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
1408613980 cat conftest.err >&5
1408713981 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1408813982 (exit $ac_status); } &&
14089- { ac_try='test -z "$ac_c_werror_flag"
14090- || test ! -s conftest.err'
13983+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1409113984 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1409213985 (eval $ac_try) 2>&5
1409313986 ac_status=$?
@@ -14364,8 +14257,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
1436414257 cat conftest.err >&5
1436514258 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1436614259 (exit $ac_status); } &&
14367- { ac_try='test -z "$ac_c_werror_flag"
14368- || test ! -s conftest.err'
14260+ { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
1436914261 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1437014262 (eval $ac_try) 2>&5
1437114263 ac_status=$?
@@ -15346,11 +15238,6 @@ esac
1534615238 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
1534715239 esac
1534815240
15349- if test x"$ac_file" != x-; then
15350- { echo "$as_me:$LINENO: creating $ac_file" >&5
15351-echo "$as_me: creating $ac_file" >&6;}
15352- rm -f "$ac_file"
15353- fi
1535415241 # Let's still pretend it is `configure' which instantiates (i.e., don't
1535515242 # use $as_me), people would be surprised to read:
1535615243 # /* config.h. Generated by config.status. */
@@ -15389,6 +15276,12 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
1538915276 fi;;
1539015277 esac
1539115278 done` || { (exit 1); exit 1; }
15279+
15280+ if test x"$ac_file" != x-; then
15281+ { echo "$as_me:$LINENO: creating $ac_file" >&5
15282+echo "$as_me: creating $ac_file" >&6;}
15283+ rm -f "$ac_file"
15284+ fi
1539215285 _ACEOF
1539315286 cat >>$CONFIG_STATUS <<_ACEOF
1539415287 sed "$ac_vpsub
--- a/bfd/configure.in
+++ b/bfd/configure.in
@@ -921,7 +921,7 @@ AC_SUBST(bfd_default_target_size)
921921 # fseeko, long. This assumes that sizeof off_t is .ge. sizeof long.
922922 # Hopefully a reasonable assumption since fseeko et.al. should be
923923 # upward compatible.
924-AC_CHECK_FUNCS(ftello ftello64 fseeko fseeko64)
924+AC_CHECK_FUNCS(ftello ftello64 fseeko fseeko64 fopen64)
925925 if test x"$ac_cv_func_ftello" = xyes -a x"$ac_cv_func_fseeko" = xyes; then
926926 AC_CHECK_SIZEOF(off_t)
927927 fi
--- a/bfd/libbfd-in.h
+++ b/bfd/libbfd-in.h
@@ -651,6 +651,7 @@ extern void _bfd_abort
651651 the system "off_t" or "off64_t", as the offset. */
652652 extern file_ptr real_ftell (FILE *file);
653653 extern int real_fseek (FILE *file, file_ptr offset, int whence);
654+extern FILE *real_fopen (const char *filename, const char *modes);
654655
655656 /* List of supported target vectors, and the default vector (if
656657 bfd_default_vector[0] is NULL, there is no default). */
--- a/bfd/libbfd.h
+++ b/bfd/libbfd.h
@@ -656,6 +656,7 @@ extern void _bfd_abort
656656 the system "off_t" or "off64_t", as the offset. */
657657 extern file_ptr real_ftell (FILE *file);
658658 extern int real_fseek (FILE *file, file_ptr offset, int whence);
659+extern FILE *real_fopen (const char *filename, const char *modes);
659660
660661 /* List of supported target vectors, and the default vector (if
661662 bfd_default_vector[0] is NULL, there is no default). */
--- a/bfd/opncls.c
+++ b/bfd/opncls.c
@@ -175,7 +175,7 @@ bfd_fopen (const char *filename, const char *target, const char *mode, int fd)
175175 nbfd->iostream = fdopen (fd, mode);
176176 else
177177 #endif
178- nbfd->iostream = fopen (filename, mode);
178+ nbfd->iostream = real_fopen (filename, mode);
179179 if (nbfd->iostream == NULL)
180180 {
181181 bfd_set_error (bfd_error_system_call);
@@ -1407,7 +1407,7 @@ bfd_fill_in_gnu_debuglink_section (bfd *abfd,
14071407 .gnu_debuglink section, we insist upon the user providing us with a
14081408 correct-for-section-creation-time path, but this need not conform to
14091409 the gdb location algorithm. */
1410- handle = fopen (filename, FOPEN_RB);
1410+ handle = real_fopen (filename, FOPEN_RB);
14111411 if (handle == NULL)
14121412 {
14131413 bfd_set_error (bfd_error_system_call);